## NAME

r3.timestamp - Print/add/remove a timestamp for a 3D raster map

## KEYWORDS

raster3d, timestamp, voxel

## SYNOPSIS

r3.timestamp
r3.timestamp --help
r3.timestamp map=name [date=timestamp] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of 3D raster map
date=timestamp
  Datetime, datetime1/datetime2, or none

## DESCRIPTION

This command has 2 modes of operation. If no date argument is supplied, then the current timestamp for the 3D raster map is printed. If a date argument is specified, then the timestamp for the 3D raster map is set to the specified date(s). See EXAMPLES below.

## EXAMPLES

r3.timestamp map=soils
Prints the timestamp for the "soils" 3D raster map. If there is no timestamp for soils, nothing is printed. If there is a timestamp, one or two lines are printed, depending on if the timestamp for the map consists of a single date or two dates (ie start and end dates).

r3.timestamp map=soils date='15 sep 1987'
Sets the timestamp for "soils" to the single date
"15 sep 1987"

r3.timestamp map=soils date='15 sep 1987/20 feb 1988'
Sets the timestamp for "soils" to have the start date
"15 sep 1987" and the end date "20 feb 1988"

r3.timestamp map=soils date='18 feb 2005 10:30:00/20 jul 2007 20:30:00'
Sets the timestamp for "soils" to have the start date
"18 aug 2005 10:30:00" and the end date "20 jul 2007 20:30:00"

r3.timestamp map=soils date=none
Removes the timestamp for the "soils" 3D raster map

## TIMESTAMP FORMAT

The timestamp values must use the format as described in the GRASS datetime library. The source tree for this library should have a description of the format. For convience, the formats as of Feb, 1996 are reproduced here:

There are two types of datetime values: absolute and relative. Absolute values specify exact dates and/or times. Relative values specify a span of time. Some examples will help clarify:

Absolute

The general format for absolute values is

`day month year [bc] hour:minute:seconds timezone
day is 1-31
month is jan,feb,...,dec
year is 4 digit year
[bc] if present, indicates dates is BC
hour is 0-23 (24 hour clock)
minute is 0-59
second is 0-59.9999 (fractions of second allowed)
timezone is +hhmm or -hhmm (eg, -0600)
parts can be missing
1994 [bc]
Jan 1994 [bc]
15 jan 1000 [bc]
15 jan 1994 [bc] 10 [+0000]
15 jan 1994 [bc] 10:00 [+0100]
15 jan 1994 [bc] 10:00:23.34 [-0500]
` Relative There are two types of relative datetime values, year- month and day-second. The formats are:

`[-] # years # months
[-] # days # hours # minutes # seconds`

The words years, months, days, hours, minutes, seconds are literal words, and the # are the numeric values.
Examples:

`2 years
5 months
2 years 5 months
100 days
15 hours 25 minutes 35.34 seconds
100 days 25 minutes
1000 hours 35.34 seconds`

The following are illegal because it mixes year-month and day-second (because the number of days in a month or in a year vary):

`3 months 15 days
3 years 10 days`

## KNOWN ISSUES

Spaces in the timestamp value are required.

## AUTHOR

Michael Pelizzari
Lockheed Martin Space Systems
based on r.timestamp by Michael Shapiro,
U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2015-05-11 02:16:13 +0200 (po, 11 5 2015) $

Main index | 3D raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual